Bug 42110 - 05univention-bind.inst failed
05univention-bind.inst failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: DNS
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Florian Best
Arvid Requate
:
Depends on:
Blocks: 46023
  Show dependency treegraph
 
Reported: 2016-08-24 16:14 CEST by Florian Best
Modified: 2018-01-12 17:50 CET (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.137
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2016082221000554, 2017031221000241, 2017050221000701, 2017060121000069, 2017062521000391, 2017081821000195
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:
best: Patch_Available+


Attachments
dielog.patch (2.88 KB, patch)
2017-06-01 12:10 CEST, Arvid Requate
Details | Diff
bug42110_qa.patch (1.17 KB, patch)
2017-12-12 15:27 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-08-24 16:14:25 CEST
We received the feedback, that the joinscript 05univention-bind.inst failed during installing UCS.

Version: 4.1-3 errata237 (Vahr)

Domäneneinrichtung (Dies kann einige Zeit dauern): FAILED: 05univention-bind.inst

Ticket#2016082221000554

Maybe it is possible to add more information about errors into the report.
Comment 1 Florian Best univentionstaff 2017-04-21 12:44:56 CEST
Version: 4.1-4 errata406 (Vahr)
Comment 2 Florian Best univentionstaff 2017-05-05 15:17:58 CEST
Version: 4.2-0 errata4 (Lesum)

Remark: Installation des Backup-Domänenservers ucsdc2 in eine bestehende/funktionierende Domäne
Comment 3 Florian Best univentionstaff 2017-06-01 09:41:13 CEST
Reported again, 4.2-0 errata26 (Lesum)
Role: domaincontroller_backup
Comment 4 Arvid Requate univentionstaff 2017-06-01 12:10:31 CEST
Created attachment 8893 [details]
dielog.patch

The attached patch should display an error message in the places where the could die joinscript currently.
Comment 5 Florian Best univentionstaff 2017-06-27 10:03:51 CEST
Reported again, 4.2-1 errata52 (Lesum)

Role: domaincontroller_slave
Comment 7 Florian Best univentionstaff 2017-08-21 11:15:58 CEST
Reported again, 4.2-1 errata139 (Lesum)
Comment 8 Stefan Gohmann univentionstaff 2017-11-11 13:34:37 CET
So, it fails if the server is reinstalled with a different IP address?
Comment 9 Florian Best univentionstaff 2017-12-01 18:29:40 CET
Thank you for the base of your patch. What I did now is:

* added a function to log errors: joinscript_log_error()
* added a function exec_log_failure() which executes a command, if it fails logs it with an error message from ERRMSG and writes the command output also as error message.
* the die() function now takes an error message as parameter

The error messages in the univention-bind joinscript have been added.

univention-bind.yaml
95b1c09cc24a | Bug #42110: Merge branch 'fbest/42110-42986-improove-join-error-messages' into 4.2-3
058073647e89 | YAML Bug #42110

univention-join (9.0.3-11)
95b1c09cc24a | Bug #42110: Merge branch 'fbest/42110-42986-improove-join-error-messages' into 4.2-3
a2df6294656b | Bug #42110: Add utilities to log error messages in joinscripts

univention-bind (11.0.1-3)
95b1c09cc24a | Bug #42110: Merge branch 'fbest/42110-42986-improove-join-error-messages' into 4.2-3
116c3fd893a0 | Bug #42110: enhance error messages in joinscript

univention-join.yaml
95b1c09cc24a | Bug #42110: Merge branch 'fbest/42110-42986-improove-join-error-messages' into 4.2-3
058073647e89 | YAML Bug #42110
Comment 10 Arvid Requate univentionstaff 2017-12-12 15:27:36 CET
Created attachment 9315 [details]
bug42110_qa.patch

QA proposal. Please also complete the "fix" tag in the advisories.
Comment 11 Florian Best univentionstaff 2017-12-12 16:44:31 CET
Thanks for the patch, packages are build, merged to 4.3-0, YAML adjusted.
Comment 12 Arvid Requate univentionstaff 2017-12-12 21:10:58 CET
Functional test: Ok
Advisories: Ok